<?php
namespace Risecommerce\Elavon\Gateway\Request;

use Risecommerce\Elavon\Observer\DataAssignObserver;

/**
 * Class VaultDataBuilder
 */
class VaultDataBuilder extends GeneralDataBuilder
{
    public function build(array $buildSubject)
    {
        $paymentDO = $this->subjectReader->readPayment($buildSubject);
        $payment = $paymentDO->getPayment();

        $result = [];
        if ($payment->getAdditionalInformation(DataAssignObserver::SAVE_CARD)) {
            $result = [
                'ssl_get_token' => 'Y',
                'ssl_add_token' => 'Y'
            ];
        }

        return $result;
    }
}
