<?php
namespace Risecommerce\Elavon\Gateway\Request;

use Magento\Framework\Exception\LocalizedException;

/**
 * Class VoidDataBuilder
 */
class VoidDataBuilder extends GeneralDataBuilder
{
    public function build(array $buildSubject)
    {
        throw new LocalizedException(__('VOID is not possible with Elavon/Converge Payment Gateways and Magento 2. Instead, you can cancel an order from Magento by clicking the "Cancel" button. NOTE: This cancel is offline and it will not cancel/void the order in Elavon, it will cancel order from the Magento only.'));

        $paymentDO = $this->subjectReader->readPayment($buildSubject);
        $payment = $paymentDO->getPayment();
        $chargeId = str_replace('-void', '', $payment->getTransactionId());

        $void_id = str_replace('-void', '', $ref_id);
        $result = [
            "ssl_transaction_type" => 'ccdelete', //ccvoid
            "ssl_txn_id" => $chargeId
        ];

        return $result;
    }
}
