<?php
/**
 * Elavon Model AbstractMethod.
 *
 * @category  Payment Integration
 * @package   Risecommerce_Elavon
 * @copyright 2024 Rise Core Technologies Pvt. Ltd.. (https://risecommerce.com/)
 */
 
namespace Risecommerce\Elavon\Model\Source;

use Magento\Payment\Model\Method\AbstractMethod;

class YesNo implements \Magento\Framework\Option\ArrayInterface
{
    public function toOptionArray()
    {
        return [
            [
                'value' => 1,
                'label' => __('Yes (Recommended)'),
            ],
            [
                'value' => 0,
                'label' => __('No'),
            ],
        ];
    }
}
