<?php
/**
 * Elavon Payment Model.
 *
 * @category  Payment Integration
 * @package   Risecommerce_Elavon
 * @copyright 2024 Rise Core Technologies Pvt. Ltd.. (https://risecommerce.com/)
 */
namespace Risecommerce\Elavon\Gateway\Request;

use Magento\Directory\Model\CurrencyFactory;
use Magento\Payment\Gateway\Helper\SubjectReader;
use Magento\Payment\Gateway\Request\BuilderInterface;
use Risecommerce\Elavon\Helper\Data as CustomHelper;

/**
 * Class GeneralDataBuilder
 */
class GeneralDataBuilder implements BuilderInterface
{
    /**
     * @var CustomHelper
     */
    protected $customHelper;

    /**
     * @var SubjectReader
     */
    protected $subjectReader;

    /**
     * @var CurrencyFactory
     */
    protected $currencyFactory;

    /**
     * @param CustomHelper $helper
     * @param SubjectReader $subjectReaderHelper
     * @param CurrencyFactory $currencyFactory
     */
    public function __construct(
        CustomHelper $helper,
        SubjectReader $subjectReaderHelper,
        CurrencyFactory $currencyFactory
    ) {
        $this->customHelper = $helper;
        $this->subjectReader = $subjectReaderHelper;
        $this->currencyFactory = $currencyFactory;
    }

    public function build(array $buildSubject)
    {
        $result =  [];

        return $result;
    }
}
